InterDatanodeProtocolServerSideTranslatorPB (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocolPB, class: InterDatanodeProtocolServerSideTranslatorPB

Package org.apache.hadoop.hdfs.protocolPB

# Class InterDatanodeProtocolServerSideTranslatorPB

java.lang.Object
org.apache.hadoop.hdfs.protocolPB.InterDatanodeProtocolServerSideTranslatorPB

All Implemented Interfaces:
  `org.apache.hadoop.hdfs.protocol.proto.InterDatanodeProtocolProtos.InterDatanodeProtocolService.BlockingInterface`, `InterDatanodeProtocolPB`

@Private public class InterDatanodeProtocolServerSideTranslatorPB extends Object implements InterDatanodeProtocolPB
Implementation for protobuf service that forwards requests received on `InterDatanodeProtocolPB` to the `InterDatanodeProtocol` server implementation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InterDatanodeProtocolServerSideTranslatorPB(InterDatanodeProtocol impl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.hdfs.protocol.proto.InterDatanodeProtocolProtos.InitReplicaRecoveryResponseProto`
  `initReplicaRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController unused, org.apache.hadoop.hdfs.protocol.proto.InterDatanodeProtocolProtos.InitReplicaRecoveryRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.InterDatanodeProtocolProtos.UpdateReplicaUnderRecoveryResponseProto`
  `updateReplicaUnderRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController unused, org.apache.hadoop.hdfs.protocol.proto.InterDatanodeProtocolProtos.UpdateReplicaUnderRecoveryRequestProto request)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InterDatanodeProtocolServerSideTranslatorPB

    public InterDatanodeProtocolServerSideTranslatorPB(InterDatanodeProtocol impl)

- ## Method Details

  - ### initReplicaRecovery

    public org.apache.hadoop.hdfs.protocol.proto.InterDatanodeProtocolProtos.InitReplicaRecoveryResponseProto initReplicaRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController unused, org.apache.hadoop.hdfs.protocol.proto.InterDatanodeProtocolProtos.InitReplicaRecoveryRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `initReplicaRecovery` in interface `org.apache.hadoop.hdfs.protocol.proto.InterDatanodeProtocolProtos.InterDatanodeProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### updateReplicaUnderRecovery

    public org.apache.hadoop.hdfs.protocol.proto.InterDatanodeProtocolProtos.UpdateReplicaUnderRecoveryResponseProto updateReplicaUnderRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController unused, org.apache.hadoop.hdfs.protocol.proto.InterDatanodeProtocolProtos.UpdateReplicaUnderRecoveryRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `updateReplicaUnderRecovery` in interface `org.apache.hadoop.hdfs.protocol.proto.InterDatanodeProtocolProtos.InterDatanodeProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`